Get team
GET
/api/v1/teams/{id}
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/teams/1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/%7B%7Bapp_url%7D/api/v1/teams/1 \ --header 'Authorization: Bearer <token>'Retrieves a single team by ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
integer
Team ID
Responses
Section titled “ Responses ”Successful
Media typeapplication/json
object
id
required
integer
name
required
string
badge_color
required
string
workspace_id
required
integer
created_at
required
string format: date-time
Example
{ "id": 12345, "name": "Liverpool FC", "badge_color": "white", "workspace_id": 12345, "created_at": "2023-08-23T10:30:00.000Z"}Unauthorized
Media typeapplication/json
object
message
required
string
code
string
Example
{ "message": "Record not found", "code": "share_link_expired"}Forbidden
Media typeapplication/json
object
message
required
string
code
string
Example
{ "message": "Record not found", "code": "share_link_expired"}Not Found
Media typeapplication/json
object
message
required
string
code
string
Example
{ "message": "Record not found", "code": "share_link_expired"}